Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class AbstractExecutor

    java.lang.Object
      |
      +--org.apache.velocity.runtime.parser.node.AbstractExecutor

Direct Known Subclasses:
  GetExecutor, PropertyExecutor

public abstract class AbstractExecutor
extends java.lang.Object

Abstract class that is used to execute an arbitrary method that is in introspected. This is the superclass for the GetExecutor and PropertyExecutor.

Version:
  $Id: AbstractExecutor.java,v 1.10 2001/10/22 03:53:25 jon Exp $
Author:
  Jason van Zyl

Field Summary
`protected java.lang.reflect.Method` | `method` Method to be executed.
`protected RuntimeServices` | `rsvc`

Constructor Summary
`AbstractExecutor()`

Method Summary
`abstract java.lang.Object` | `execute(java.lang.Object o, InternalContextAdapter context)` Execute method against context.
`boolean` | `isAlive()` Tell whether the executor is alive by looking at the value of the method.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### rsvc

    protected RuntimeServices rsvc

### method

    protected java.lang.reflect.Method method

  Method to be executed.

Constructor Detail

### AbstractExecutor

    public AbstractExecutor()

Method Detail

### execute

    public abstract java.lang.Object execute(java.lang.Object o,
                                             InternalContextAdapter context)
                                      throws java.lang.IllegalAccessException,
                                             MethodInvocationException

  Execute method against context.

### isAlive

    public boolean isAlive()

  Tell whether the executor is alive by looking at the value of the method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.